#ifndef CLASERDRIVER_BASE_H
#define CLASERDRIVER_BASE_H
#include "export_laser_driver_impl.h"
#include "claserdriver.h"
#include "claser.h"
class LASER_DRIVER_IMPL_EXPORT CLaserDriver_Base : public CLaserDriver
{
public:
    CLaserDriver_Base(const QString& name,int32_t id);
    int OpenLaserGate(int32_t laserid,bool bOpen) override;
	bool m_bEmissionOn;
	int m_iEpulseFreq;
	bool m_bInternalGate;
	bool m_bExternalGate;
	bool m_bError;
	bool m_bPreheat;
    double m_dDiode;	//电流
	double m_dTemperature;	//温度
	double m_dInnerPower;	//内部功率
	int m_iPreheatTimeSecs; //预热时间S
	double m_dCurThgUseHours;
	virtual int SetInnerGate(int laserId, bool bOpen);

	virtual int SetLDD(int32_t laserid, bool_t bOn);


	virtual int SetGateSource(int32_t laserid, bool_t bExt);

    virtual int SetEpulseFreq(int32_t laserid, int frequency);
	virtual int GetEpulseFreq(int32_t laserid, int& frequency);

};

#endif // CLASERDRIVER_BASE_H
